//////////////////////////////////////////////////////
//Wenn zwei Bilder beim Blending gegeneinander verschoben
//werden müssen, müssen die zugehörigen Matrizen "geschnitten"
//werden, da es sonst Bereiche gibt, in denen nur eine Matrix
//definiert ist.
////////////////////////////////////////////////////////
public class MatrixCutter{

 private int[][] matrix;
 private int d;
 
 //Konstruktor
 public MatrixCutter(int[][] matrix, int d){
   this.matrix = matrix;
   this.d = d;
 }

 //////////////////////////////////////////////////////////////////////// 
//Schnitt rechts und oben
public int[][] cutMatrixRO(){
  
  int[][]tempMatrix = matrix;
  int[][] matrixCut = new int[H-d][W-d];
   for(int i=d; i<W;i++){
       for(int j=0; j<H-d;j++){
          matrixCut[j][i-d] = tempMatrix[j][i];
       }
    }
  return matrixCut;
}
/////////////////////////////////////////////////////////////////////////////
//Schnitt links und unten
public int[][] cutMatrixLU(){
  
  int[][] tempMatrix = matrix;
  int[][] matrixCut = new int[H-d][W-d];
   for(int i=0; i<W-d;i++){
       for(int j=d; j<H;j++){
          matrixCut[j-d][i] = tempMatrix[j][i];  //Fehler
       }
    } 
  return matrixCut;
} 
}  
